void CreateSideQuestCharacters(ref n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);

	//Rys Bloom
	ch.old.name = "Rys";
	ch.old.lastname = "Bloom";
	ch.name = TranslateString("","Rys");
	ch.lastname = TranslateString("","Bloom");
	ch.id		= "Rys Bloom";
	ch.model	= "Chameleon";
	ch.sex = "man";
	ch.loyality = 15;
	ch.alignment = "good";
	ch.sound_type = "seaman";
	GiveItem2Character(ch, "blade6");
	ch.equip.blade = "blade6";
	ch.location	= "Redmond_port";
	ch.location.group = "goto";
	ch.location.locator = "cityzen_1";
	ch.Dialog.Filename = "Rys Bloom_dialog.c";
	ch.greeting = "Gr_Rys Bloom";
	ch.rank 	= 1;
	ch.reputation = "45";
	TakeNItems(ch,"medical1", Rand(4)+1);
	ch.experience = CalculateExperienceFromRank(1)+ (CalculateExperienceFromRank(1)/10 + rand(500));
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "0";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "0";
	ch.skill.Commerce = "0";
	ch.skill.Sneak = "0";
	ch.money = "0";
	ch.quest.help = "0";
	ch.quest.dialog = "0";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	ch.HPBonus = 100;		// KevAtl 08-26-2007 to correct for game giving low HP
	AddGameCharacter(n, ch);

	// Toff Oremans --
	ch.old.name = "Toff";
	ch.old.lastname = "Oremans";
	ch.name = TranslateString("","Toff");
	ch.lastname = TranslateString("","Oremans");
	ch.id		= "Toff Oremans";
	ch.model	= "man5_1";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "Douwesen_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit4";
	ch.Dialog.Filename = "Toff Oremans_dialog.c";
	ch.greeting = "Gr_Toff Oremans";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	ch.quest.daughter = "";
	LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	AddGameCharacter(n, ch);

	// Tanneken Oremans --
	ch.old.name = "Tanneken";
	ch.old.lastname = "Oremans";
	ch.name = TranslateString("","Tanneken");
	ch.lastname = TranslateString("","Oremans");
	ch.id		= "Tanneken Oremans";
	ch.model	= "towngirl2_1";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.greeting = "Dut_f_a_001.wav";//MAXIMUS: it works by this way?????
	ch.location	= "none";
	ch.location.group = "sit";
	ch.location.locator = "sit3";
	ch.Dialog.Filename = "Tanneken Oremans_dialog.c";
	ch.greeting = "Gr_Tanneken Oremans";
	ch.nation = HOLLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetMerchantType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "DOUWESEN_CITIZENS");
	AddGameCharacter(n, ch);

	// Bernardo Gamboa - SAVING TOFF'S DAUGHTER
	ch.old.name = "Bernardo";
	ch.old.lastname = "Gamboa";
	ch.name = TranslateString("","Bernardo");
	ch.lastname = TranslateString("","Gamboa");
	ch.id		= "Bernardo Gamboa";
	ch.model = "corsair2";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_NoRebirthEnable(ch);
	ch.nation = PIRATE;
	GiveItem2Character(ch, "blade7");
	ch.equip.blade = "blade7";
	ch.Dialog.Filename = "Bernardo Gamboa_dialog.c";
	ch.location	= "Gamboa_ship";
	ch.location.group = "goto";
	ch.location.locator = "goto4";
	ch.Ship.Name = "Neptunus";
	ch.Ship.Type = "Corvette1"; // PRS3
	ch.Ship.Stopped = true;
	// KNB ch.Ship.Cannons.Type = CANNON_TYPE_CANNON_LBS24;
	ch.rank 	= 1;
	ch.reputation = "22";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "5";
	ch.skill.Accuracy = "4";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.SwordplayProfessional = true;
	ch.money = "10";
	LAi_SetStayType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	ch.greeting = "Gr_Bernardo Gamboa";
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);


	// Corentin Lucay - SAVING TOFF'S DAUGHTER
	ch.old.name = "Corentin";
	ch.old.lastname = "Lucay";
	ch.name = TranslateString("","Corentin");
	ch.lastname = TranslateString("","Lucay");
	ch.id		= "Corentin Lucay";
	ch.model = "corsair1_1";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_NoRebirthEnable(ch);
	ch.nation = PIRATE;
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.Dialog.Filename = "Corentin Lucay_dialog.c";
	ch.greeting = "Gr_Corentin Lucay";
	ch.location	= "Gamboa_ship";
	ch.location.group = "goto";
	ch.location.locator = "goto3";
	ch.rank 	= 1;
	ch.reputation = "26";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "2";
	ch.skill.Accuracy = "3";
	ch.skill.Cannons = "3";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetStayType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);


}
	
